/*! \file kovarianzformimpl.cpp
    \brief Die Implementation der Klasse \ref KovarianzFormImpl

    Diese Datei wurde EINMAL automatisch durch Aufruf von
 
    uic -o kovarianzformimpl.cpp -subimpl KovarianzFormImpl kovarianzformimpl.h kovarianzform.ui 
    
    erzeugt.
    
    Anschlieend wurden die Ereignissbehandlungsroutinen mit dem bentigten Code
    gefllt.
*/
#include "kovarianzformimpl.h"

/* 
 *  Constructs a KovarianzFormImpl which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KovarianzFormImpl::KovarianzFormImpl( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : KovarianzForm( parent, name, modal, fl )
{
}

void KovarianzFormImpl::fuelle(double **covar, int ma)
{
  int jmax=(ma-1)/2,i,j,w,h;
  QString headerlabel,tabellentext;
  QHeader *horizheader,*vertheader;
    horizheader=KovarianzTable->horizontalHeader(); 
    vertheader=KovarianzTable->verticalHeader();
    KovarianzTable->setLeftMargin(80);
    KovarianzTable->setNumCols(jmax*2+1);
    KovarianzTable->setNumRows(jmax*2+1);
    vertheader->setLabel(2*jmax,"Untergrund");
    for (i=0;i<jmax;i++) {
       headerlabel="";
      headerlabel.sprintf("Intensitt %d",i+1);
      vertheader->setLabel(i,headerlabel);
    }
    for (i=0;i<jmax;i++) {
      headerlabel="";
      headerlabel.sprintf("Lebensd. %d",i+1);
      vertheader->setLabel(jmax+i,headerlabel);
    } 
    horizheader->setLabel(2*jmax,"Untergrund");
    for (i=0;i<jmax;i++) {
      headerlabel="";
      headerlabel.sprintf("Intensitt %d",i+1);
      horizheader->setLabel(i,headerlabel);
    }
    for (i=0;i<jmax;i++) {
      headerlabel="";
      headerlabel.sprintf("Lebensd. %d",i+2);
      horizheader->setLabel(jmax+i,headerlabel);
    }
      for (i=1;i<=ma;i++) {
        if (covar[i][i]!=0) covar[i][i]=1;
	  for (j=1;j<=ma;j++) {
		tabellentext.sprintf("%.3lf",covar[i][j]);
	        KovarianzTable->setText(i-1,j-1,tabellentext);
                }
              }
              for (i=0;i<ma;i++) KovarianzTable->adjustColumn(i);
             
              w=600;
              h=400;
              KovarianzTable->setGeometry(5,60,w-7,h-124);
              setGeometry(100,150,w,h);
}
/*  
 *  Destroys the object and frees any allocated resources
 */
KovarianzFormImpl::~KovarianzFormImpl()
{
  
}

/* 
 * public slot
 */
void KovarianzFormImpl::OK_slot()
{
  close();
}

